RackTables BT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001647RackTablesdefaultpublic2016-06-24 17:022016-07-14 10:43
Reportercarta 
Assigned Toinfrastation 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSubuntu-16.04-server-amd64OS Version
Product Version0.20.11 
Target Version0.20.12Fixed in Version0.20.12 
Summary0001647: Installations fails at step 5 of 7
DescriptionRackTables installation: step 5 of 7

Initializing the database...
The following queries failed:

CREATE TABLE `LDAPCache` (
  `presented_username` char(64) NOT NULL,
  `successful_hash` char(40) NOT NULL,
  `first_success` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `last_retry` timestamp NOT NULL default '0000-00-00 00:00:00',
  `displayed_name` char(128) default NULL,
  `memberof` text,
  UNIQUE KEY `presented_username` (`presented_username`),
  KEY `scanidx` (`presented_username`,`successful_hash`)
) ENGINE=InnoDB -- Invalid default value for 'last_retry'
CREATE TABLE `VLANSwitch` (
  `object_id` int(10) unsigned NOT NULL,
  `domain_id` int(10) unsigned NOT NULL,
  `template_id` int(10) unsigned NOT NULL,
  `mutex_rev` int(10) unsigned NOT NULL default '0',
  `out_of_sync` enum('yes','no') NOT NULL default 'yes',
  `last_errno` int(10) unsigned NOT NULL default '0',
  `last_change` timestamp NOT NULL default '0000-00-00 00:00:00',
  `last_push_started` timestamp NOT NULL default '0000-00-00 00:00:00',
  `last_push_finished` timestamp NOT NULL default '0000-00-00 00:00:00',
  `last_error_ts` timestamp NOT NULL default '0000-00-00 00:00:00',
  UNIQUE KEY `object_id` (`object_id`),
  KEY `domain_id` (`domain_id`),
  KEY `template_id` (`template_id`),
  KEY `out_of_sync` (`out_of_sync`),
  KEY `last_errno` (`last_errno`),
  CONSTRAINT `VLANSwitch-FK-domain_id` FOREIGN KEY (`domain_id`) REFERENCES `VLANDomain` (`id`),
  CONSTRAINT `VLANSwitch-FK-object_id` FOREIGN KEY (`object_id`) REFERENCES `Object` (`id`),
  CONSTRAINT `VLANSwitch-FK-template_id` FOREIGN KEY (`template_id`) REFERENCES `VLANSwitchTemplate` (`id`)
) ENGINE=InnoDB -- Invalid default value for 'last_change'

section queries errors
structure 83 2
dictbase 16 0
dictionary 92 0
Steps To ReproduceFollow all steps as prompted until arrive to step 5
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0001657closed whenever i try to add a device to my racks i get this 

-  Notes
(0003247)
infrastation (administrator)
2016-06-24 17:29

Ubuntu 16.04 comes with MySQL 5.7, which does not work with RackTables 0.20.11. A workaround for this problem has been made in commit 0c53bc4, which will be available in the next release 0.20.12. See also related bugs 0001547 and 0001635.

- Issue History
Date Modified Username Field Change
2016-06-24 17:02 carta New Issue
2016-06-24 17:29 infrastation Note Added: 0003247
2016-06-24 17:29 infrastation Assigned To => infrastation
2016-06-24 17:29 infrastation Status new => closed
2016-06-24 17:29 infrastation Resolution open => fixed
2016-06-24 17:29 infrastation Fixed in Version => 0.20.12
2016-06-24 17:29 infrastation Target Version => 0.20.12
2016-07-14 10:43 infrastation Relationship added has duplicate 0001657


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker